SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros
NetworkIDManager.h File Reference
`#include "types.h"`
`#include "Export.h"`
`#include "memoryoverride.h"`
`#include "NetworkIDObject.h"`
`#include "Rand.h"`

Go to the source code of this file.

## Classes

class | SLNet::NetworkIDManager

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Macros

#define | NETWORK_ID_MANAGER_HASH_LENGTH 1024

## Macro Definition Documentation

#define NETWORK_ID_MANAGER_HASH_LENGTH 1024

Increase this value if you plan to have many persistent objects This value must match on all systems

Definition at line 34 of file NetworkIDManager.h.

Referenced by SLNet::NetworkIDManager::NetworkIDToHashIndex().